/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.model.party;

// Java classes
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * Address BOM
 * @author DNS   RAOS
 * @version 1.0
 */
public class HistoricAddress
    extends SimpleAddress {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3697537659911902602L;
	private Address address;
    

    public Address getAddress() {
		return address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	/*
     * (non-Javadoc)
     * 
     * @see gov.va.med.fw.model.AbstractKeyedEntity#buildToString(org.apache.commons.lang.builder.ToStringBuilder)
     */
    protected void buildToString(ToStringBuilder builder) {
        super.buildToString(builder);
        builder.append("address", this.address);
    }

 }